$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  FileFullPath  = Join-Path $toolsDir "cloudflared.exe"

  url           = 'https://github.com/cloudflare/cloudflared/releases/download/2024.4.1/cloudflared-windows-386.exe'
  url64bit      = 'https://github.com/cloudflare/cloudflared/releases/download/2024.4.1/cloudflared-windows-amd64.exe'

  checksum      = 'b43da5dc923e7559af005971181137b48151832f18023e49b3f9f914d2b9c3fd'
  checksumType  = 'sha256'
  checksum64    = 'e1ce2bcf3d1137a9248f7cebb22976fd6b66f5dc2e852231003f1db13262dc86'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
